LibreOffice LibreOffice 7.2 SDK C/C++ API Reference

Namespaces | Functions
proptypehlp.hxx File Reference
`#include "cppuhelper/proptypehlp.h"`
`#include "com/sun/star/lang/IllegalArgumentException.hpp"`
`#include "com/sun/star/uno/TypeClass.hpp"`

Go to the source code of this file.

## Namespaces
namespace | cppu

## Functions
template<class target >
void | cppu::convertPropertyValue (target &value, const css::uno::Any &a)
| Converts the value stored in an any to a concrete C++ type. More...
void | cppu::convertPropertyValue (bool &target, const css::uno::Any &source)
void | cppu::convertPropertyValue (sal_Bool &target, const css::uno::Any &source)
| conversion of basic types More...
void | cppu::convertPropertyValue (sal_Int64 &target, const css::uno::Any &source)
void | cppu::convertPropertyValue (sal_uInt64 &target, const css::uno::Any &source)
void | cppu::convertPropertyValue (sal_Int32 &target, const css::uno::Any &source)
void | cppu::convertPropertyValue (sal_uInt32 &target, const css::uno::Any &source)
void | cppu::convertPropertyValue (sal_Int16 &target, const css::uno::Any &source)
void | cppu::convertPropertyValue (sal_uInt16 &target, const css::uno::Any &source)
void | cppu::convertPropertyValue (sal_Int8 &target, const css::uno::Any &source)
void | cppu::convertPropertyValue (float &target, const css::uno::Any &source)
void | cppu::convertPropertyValue (double &target, const css::uno::Any &source)